Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# Konsole Class Reference

The Konsole class is the top-level widget for the Terminal application. More...

`#include <konsole.h>`

List of all member functions.

## Public Members

- Konsole ( QWidget * parent = 0, const char * name = 0, WFlags fl = 0 )
- ~Konsole ()
- void setColLin ( int columns, int lines )
- void show ()
- void setColor ()

## Detailed Description

The Konsole class is the top-level widget for the Terminal application.

The Terminal allows command-line access to the system and is used for development and debugging activities.

The Terminal (embeddedkonsole) is based on the KDE Konsole application and is distributed under the terms of the GNU General Public License. A primary copyright holder of the code is Lars Doelle.

## Member Function Documentation

### Konsole::~Konsole ()

### void Konsole::setColLin ( int columns, int lines )

sets application window to a size based on columns X lines of the guest widget. Call with (0,0) for setting default size.

### void Konsole::setColor ()

### void Konsole::show ()

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.